CREATE TABLE PAYMENT_TRANSACTION_SALDKONT (
  ID_PAYMENT_TRANS_SALDKONT NUMBER NOT NULL,
  ID_PAYMENT_TRANSACTION NUMBER,
  ID_SALDKONT NUMBER,
  CONSTRAINT PAYMENT_TRANS_SALDKONT_PK PRIMARY KEY (ID_PAYMENT_TRANS_SALDKONT),
  CONSTRAINT PAYMENT_TRANS_SALDKONT_SALD_FK FOREIGN KEY (ID_SALDKONT) REFERENCES SALDKONT(ID_SALDKONT)
);

CREATE SEQUENCE PAYMENT_TRANS_SALDKONT_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE INDEX IX_PAY_TRANS_SALD_ID_PAY_TRANS ON PAYMENT_TRANSACTION_SALDKONT (ID_PAYMENT_TRANSACTION);
CREATE INDEX IX_PAY_TRANS_SALD_ID_SALDKONT ON PAYMENT_TRANSACTION_SALDKONT (ID_SALDKONT);

INSERT INTO PAYMENT_TRANSACTION_SALDKONT(ID_PAYMENT_TRANS_SALDKONT, ID_PAYMENT_TRANSACTION, ID_SALDKONT)
SELECT PAYMENT_TRANS_SALDKONT_SEQ.NEXTVAL, PT.ID, PT.ID_SALDKONT FROM PAYMENT_TRANSACTION PT
WHERE PT.ID_SALDKONT IS NOT NULL AND NOT EXISTS (SELECT * FROM PAYMENT_TRANSACTION_SALDKONT PTS WHERE PTS.ID_PAYMENT_TRANSACTION = PT.ID);

ALTER TABLE PAYMENT_TRANSACTION
DROP COLUMN ID_SALDKONT;

DROP VIEW V_PAYMENT_TRANSACTION;

CREATE OR REPLACE VIEW V_PAYMENT_TRANSACTION AS (
SELECT PT.ID, PT.ID_LASTNIKA, PT.ACCOUNT_FROM, PT.ACCOUNT_TO, PT.AMOUNT, PT.CURRENCY_CODE, PT.TRANSACTION_DATE, PT.TRANSACTION_MESSAGE, PT.STATUS, 
PT.PAYMENT_NKNJIZBA, PT."COMMENT", PT.NNLOCATION_ID, PT.REFERENCE, PT.INVOICE_NUMBER, PT.NEW_INTERNAL_TRANSACTION, KU.IME AS KUPCI_IME, KU.PRIIMEK AS KUPCI_PRIIMEK, 
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KU.IME || ' ' || KU.PRIIMEK) ELSE (KU.PRIIMEK || ' ' || KU.IME) END) AS OWNER,
PKN.SLO AS PAYMENT_NKNJIZBA_OPIS, PKN.SALDKONT AS PAYMENT_NKNJIZBA_SALDKONT
FROM PAYMENT_TRANSACTION PT
LEFT OUTER JOIN KUPCI KU ON KU.ID = PT.ID_LASTNIKA
LEFT OUTER JOIN NKNJIZBA PKN ON PKN.NKNJIZBA = PT.PAYMENT_NKNJIZBA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1474, SYSDATE, '5.5', 1394, 'Payment transaction saldkont')
;