CREATE OR REPLACE VIEW V_REZERVAC_DAILY AS 
(
SELECT 'ARRIVAL' AS DAILY_TYPE, ID, ID_LASTNIKA, ID_PLOVILA, DATUM_REZERVACIJE AS DATE_FROM, DATUM_DO AS DATE_TO, STATUS_REZERVAC 
FROM REZERVAC WHERE TRUNC(DATUM_REZERVACIJE)=TRUNC(SYSDATE) AND STATUS_REZERVAC > 2
UNION ALL
SELECT 'NOT_ARRIVED' AS DAILY_TYPE, ID, ID_LASTNIKA, ID_PLOVILA, DATUM_REZERVACIJE AS DATE_FROM, DATUM_DO AS DATE_TO, STATUS_REZERVAC 
FROM REZERVAC WHERE TRUNC(DATUM_REZERVACIJE)<TRUNC(SYSDATE) AND STATUS_REZERVAC > 2
UNION ALL
SELECT 'DEPARTURE' AS DAILY_TYPE, ID, ID_LASTNIKA, ID_PLOVILA, DATUM_REZERVACIJE AS DATE_FROM, DATUM_DO AS DATE_TO, STATUS_REZERVAC 
FROM REZERVAC WHERE TRUNC(DATUM_DO)=TRUNC(SYSDATE) AND STATUS_REZERVAC IN (1, 2)
UNION ALL
SELECT 'NOT_DEPARTURED' AS DAILY_TYPE, ID, ID_LASTNIKA, ID_PLOVILA, DATUM_REZERVACIJE AS DATE_FROM, DATUM_DO AS DATE_TO, STATUS_REZERVAC 
FROM REZERVAC WHERE TRUNC(DATUM_DO)<TRUNC(SYSDATE) AND STATUS_REZERVAC IN (1, 2)
UNION ALL
SELECT 'PRESENT' AS DAILY_TYPE, ID, ID_LASTNIKA, ID_PLOVILA, DATUM_REZERVACIJE AS DATE_FROM, DATUM_DO AS DATE_TO, STATUS_REZERVAC 
FROM REZERVAC WHERE STATUS_REZERVAC IN (1)
UNION ALL
SELECT 'ON_EXIT' AS DAILY_TYPE, ID, ID_LASTNIKA, ID_PLOVILA, DATUM_REZERVACIJE AS DATE_FROM, DATUM_DO AS DATE_TO, STATUS_REZERVAC 
FROM REZERVAC WHERE STATUS_REZERVAC IN (2)
UNION ALL
SELECT DISTINCT 'DO_EXIT' AS DAILY_TYPE, R.ID, R.ID_LASTNIKA, R.ID_PLOVILA, D.DATUM_OD AS DATE_FROM, D.DATUM_DO AS DATE_TO, R.STATUS_REZERVAC 
FROM REZERVAC R JOIN REZERVAC_DETAIL D ON R.ID=D.ID_REZERVAC AND D.DATUM_OD=TRUNC(SYSDATE) AND D.STATUS_REZERVAC=2 WHERE R.STATUS_REZERVAC IN (1)
UNION ALL
SELECT DISTINCT 'NOT_RETURNED' AS DAILY_TYPE, R.ID, R.ID_LASTNIKA, R.ID_PLOVILA, D.DATUM_OD AS DATE_FROM, D.DATUM_DO AS DATE_TO, R.STATUS_REZERVAC 
FROM REZERVAC R JOIN REZERVAC_DETAIL D ON R.ID=D.ID_REZERVAC AND D.DATUM_DO<=TRUNC(SYSDATE) WHERE R.STATUS_REZERVAC IN (2)
UNION ALL
SELECT DISTINCT 'NO_EXIT' AS DAILY_TYPE, R.ID, R.ID_LASTNIKA, R.ID_PLOVILA, D.DATUM_OD AS DATE_FROM, D.DATUM_DO AS DATE_TO, R.STATUS_REZERVAC 
FROM REZERVAC R JOIN REZERVAC_DETAIL D ON R.ID=D.ID_REZERVAC AND D.DATUM_OD<=TRUNC(SYSDATE) AND D.STATUS_REZERVAC=2 WHERE R.STATUS_REZERVAC IN (1)
)
;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(405, SYSDATE, '5.5', 325, 'V_REZERVAC_DAILY');