CREATE OR REPLACE FORCE VIEW V_RACUN_PDV ("ID_RACUN", "ID_SALDKONT_FISC", "POREZ_STOPA", "OSNOVICA", "POREZ_IZNOS") AS 
SELECT ID_RACUN, ID_SALDKONT_FISC, POREZ_STOPA, SUM(OSNOVICA) AS OSNOVICA, SUM(POREZ_IZNOS) AS POREZ_IZNOS FROM (
SELECT  COALESCE(SF.ID_SALDKONT,0) AS ID_RACUN, SF.ID_SALDKONT_FISC, 
(CASE WHEN D.ID_STORITVE IS NOT NULL THEN D.STOPNJA ELSE R.DAV_STOPNJA END) AS POREZ_STOPA, 
SUM(R.NETO) AS OSNOVICA, 
SUM((CASE WHEN D.ID_STORITVE IS NULL OR R.DAV_STOPNJA=0 THEN R.ZN_DAVKA ELSE R.ZN_DAVKA*D.STOPNJA/R.DAV_STOPNJA END)) AS POREZ_IZNOS
FROM SALDKONT_FISC SF
JOIN RACUN_DATA R ON SF.ID_SALDKONT=R.ID_SALDKONT
LEFT OUTER JOIN M_STORITVE_DAVEK D ON R.ID_STORITVE=D.ID_STORITVE  AND D.VRSTA='DDV'
GROUP BY SF.ID_SALDKONT, SF.ID_SALDKONT_FISC, (CASE WHEN D.ID_STORITVE IS NOT NULL THEN D.STOPNJA ELSE R.DAV_STOPNJA END)
union
SELECT COALESCE(SF.ID_SALDKONT,0) AS ID_RACUN, SF.ID_SALDKONT_FISC, 
(CASE WHEN D.ID_STORITVE IS NOT NULL THEN D.STOPNJA ELSE R.DAV_STOPNJA END) AS POREZ_STOPA, 
SUM((SZ.ZNESEK/SA.ZA_PLACILO)*R.NETO*(-1)) AS OSNOVICA, 
SUM((CASE WHEN D.ID_STORITVE IS NULL OR R.DAV_STOPNJA=0 THEN (-1)*(SZ.ZNESEK/SA.ZA_PLACILO)*R.ZN_DAVKA ELSE (-1)*(SZ.ZNESEK/SA.ZA_PLACILO)*R.ZN_DAVKA*D.STOPNJA/R.DAV_STOPNJA END)) AS POREZ_IZNOS
FROM SALDKONT_FISC SF
JOIN SALDKONT_ZAP SZ ON SF.ID_SALDKONT_ZAP=SZ.ID_SALDKONT_ZAP
JOIN SALDKONT SA ON SZ.ID_PL_SALDKONT=SA.ID_SALDKONT
JOIN RACUN_DATA R ON SA.ID_SALDKONT=R.ID_SALDKONT
LEFT OUTER JOIN M_STORITVE_DAVEK D ON R.ID_STORITVE=D.ID_STORITVE  AND D.VRSTA='DDV'
GROUP BY SF.ID_SALDKONT, SF.ID_SALDKONT_FISC, (CASE WHEN D.ID_STORITVE IS NOT NULL THEN D.STOPNJA ELSE R.DAV_STOPNJA END)) DDV
GROUP BY ID_RACUN, ID_SALDKONT_FISC, POREZ_STOPA
;

CREATE OR REPLACE FORCE VIEW V_RACUN_PNP ("ID_RACUN", "ID_SALDKONT_FISC", "POREZ_STOPA", "OSNOVICA", "POREZ_IZNOS") AS 
SELECT SA.ID_SALDKONT AS ID_RACUN, SF.ID_SALDKONT_FISC, D.STOPNJA AS POREZ_STOPA, SUM(R.NETO) AS OSNOVICA, SUM(R.ZN_DAVKA*D.STOPNJA/R.DAV_STOPNJA) AS POREZ_IZNOS
FROM SALDKONT_FISC SF
JOIN SALDKONT SA ON SF.ID_SALDKONT=SA.ID_SALDKONT
JOIN RACUN_DATA R ON SA.ID_SALDKONT=R.ID_SALDKONT
JOIN M_STORITVE S ON R.ID_STORITVE=S.ID_STORITVE
JOIN M_STORITVE_DAVEK D ON S.ID_STORITVE=D.ID_STORITVE
WHERE D.VRSTA='PNP' AND R.DAV_STOPNJA<>0
GROUP BY SA.ID_SALDKONT, SF.ID_SALDKONT_FISC, D.STOPNJA
UNION
SELECT COALESCE(SF.ID_SALDKONT,0) AS ID_RACUN, SF.ID_SALDKONT_FISC, D.STOPNJA AS POREZ_STOPA, SUM((SZ.ZNESEK/SA.ZA_PLACILO)*R.NETO*(-1)) AS OSNOVICA, SUM((-1)*(SZ.ZNESEK/SA.ZA_PLACILO)*R.ZN_DAVKA*D.STOPNJA/R.DAV_STOPNJA) AS POREZ_IZNOS
FROM SALDKONT_FISC SF
JOIN SALDKONT_ZAP SZ ON SF.ID_SALDKONT_ZAP=SZ.ID_SALDKONT_ZAP
JOIN SALDKONT SA ON SZ.ID_PL_SALDKONT=SA.ID_SALDKONT
JOIN RACUN_DATA R ON SA.ID_SALDKONT=R.ID_SALDKONT
JOIN M_STORITVE S ON R.ID_STORITVE=S.ID_STORITVE
JOIN M_STORITVE_DAVEK D ON S.ID_STORITVE=D.ID_STORITVE
WHERE D.VRSTA='PNP' AND R.DAV_STOPNJA<>0
GROUP BY SF.ID_SALDKONT, SF.ID_SALDKONT_FISC, D.STOPNJA
;


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (877, SYSDATE, '5.5', 797, 'View fiskalizacija');