CREATE TABLE BERTH_OWNER_TYPE (
	ID NUMBER,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	ACT VARCHAR2 (1 CHAR),
	CONSTRAINT BERTH_OWNER_TYPE_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE BERTH_OWNER_TYPE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 100 NOCACHE NOORDER  NOCYCLE;

INSERT INTO BERTH_OWNER_TYPE(ID, OPIS, INTERNI_OPIS, ACT) 
VALUES (1, 'Owner occupied', 'Owner occupied', 'Y');

INSERT INTO BERTH_OWNER_TYPE(ID, OPIS, INTERNI_OPIS, ACT) 
VALUES (2, 'Private rental', 'Private rental', 'Y');

ALTER TABLE BERTH_OWNER
ADD TYPE NUMBER;

-- Owner occupied as default
UPDATE BERTH_OWNER
SET TYPE = 1
WHERE TYPE IS NULL; 

CREATE OR REPLACE VIEW V_BERTH_OWNER AS (
SELECT BO.ID, BO.ID_PRIVEZ, BO.ID_LASTNIKA, BO.DATE_FROM, BO.DATE_TO, BO.DATE_CREATED, BO.USER_CREATED, BO.DATE_CHANGED, BO.USER_CHANGED, BO.STATUS, BO."COMMENT", BO.TYPE,
BOT.OPIS AS BERTH_OWNER_TYPE_OPIS, BOT.INTERNI_OPIS AS BERTH_OWNER_TYPE_INTERNI_OPIS, NP.OBJEKT AS NNPRIVEZ_OBJEKT, NP.N_PRIVEZA AS NNPRIVEZ_N_PRIVEZA, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK
FROM BERTH_OWNER BO
LEFT OUTER JOIN BERTH_OWNER_TYPE BOT ON BOT.ID = BO.TYPE
LEFT OUTER JOIN NNPRIVEZ NP ON NP.ID_PRIVEZ = BO.ID_PRIVEZ
LEFT OUTER JOIN KUPCI K ON K.ID = BO.ID_LASTNIKA
);

INSERT INTO NNISKANJE (SIFRA, OPIS, INTERNI_OPIS, WEB_APP) VALUES ('PRR', 'Search for private rentals', 'Search for private rentals', 'Y');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (962, SYSDATE, '5.5', 882, 'Berth owner type');